
Figure - Bug #113475
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】先打开一应用小窗，再单击同一应用，进入多任务管理器，小窗进程卡片的显
示不对
2022-11-01 15:08 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-01

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0042.X101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0044.X101

Reproducibility: Every time Fixed Version: 2022-11-08

Test Type: IT Root cause: 进入recent 遍历没有结束的activity 然后finish

Description

【前提条件】

1、设备已开机

2、后台进程

【测试步骤】以图库为例

1、长按图库打开图库小窗

2、单击击图库应用图标

3、上划打开多任务管理器查看进程卡片

【预期结果】

3、只有一个图库的小窗进程卡片

【实际结果】

3、在图库小窗进程卡片旁边还有一个图库小窗

【复现率】

必现

Related issues:

Related to Figure - Bug # 113282: 【AF】【EVT】【小窗模式】进入视频小窗，播... CLOSED 2022-10-28

History

#1 - 2022-11-03 17:28 - DL FW-张挽强

- Status changed from New to ASSIGNED

■ Current conclusion

复现成功

■ My analysis

播放视频时 会重新启动一个activity 进入recent后只结束了上面的activity 现在出现了task里面会有多个activity的现象

■ Next action

这个需要重新梳理逻辑 做一套统一管理的方案
#2 - 2022-11-04 16:37 - DL FW-张挽强

- % Done changed from 0 to 80

■ Current conclusion

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/160289

■ Next action

等待recent代码入库 解决冲突编译验证

#3 - 2022-11-07 17:11 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 80 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-11-08

- Root cause set to 进入recent 遍历没有结束的activity 然后finish

#4 - 2022-11-08 11:42 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0044.X101

11.8 验证通过

#5 - 2022-11-08 11:42 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190122 2022-11-01 15-05-36.mp4 10.7 MB 2022-11-01 CD TEST-方永红

1506.txt 4.23 MB 2022-11-01 CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/160289

